Bug 1312435 - [RFE] provide curl-minimal and libcurl-minimal subpkgs with a lightweight build of curl
[RFE] provide curl-minimal and libcurl-minimal subpkgs with a lightweight bui...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
24
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 1306559
Blocks: base-minimization
  Show dependency treegraph
 
Reported: 2016-02-26 11:56 EST by Kamil Dudka
Modified: 2016-04-08 03:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-21 06:17:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Dudka 2016-02-26 11:56:30 EST
The curl and libcurl packages, which are both required by dnf, have a lot of run-time dependencies.  I propose to maintain curl-minimal and libcurl-minimal subpackages obtained from a conservatively configured build of curl, resulting in a significant reduction of their run-time dependencies.  These curl-minimal and libcurl-minimal packages could be then installed as a replacement of curl and libcurl packages to reduce the footprint of minimal installation of Fedora.

An proof of concept is available in the private-kdudka-libcurl-minimal branch:
http://pkgs.fedoraproject.org/cgit/rpms/curl.git/log/?h=private-kdudka-libcurl-minimal
Comment 2 Kamil Dudka 2016-03-21 06:17:37 EDT
Based on the discussion at the Fedora Devel mailing-list, I came to conclusion that Fedora community is not yet ready for the proposed enhancement of curl packaging.  Feel free to reuse my work in the private-kdudka-libcurl-minimal dist-git branch once the political situation changes.

Note You need to log in before you can comment on or make changes to this bug.